## org.apache.batik.dom.svg
Class SVGTextPositioningElementSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTextPositioningElementSupport

public class SVGTextPositioningElementSupport
extends java.lang.Object

This class provide support for the SVGTextPositionningElement interface.

Field Summary
`static java.lang.String` `DX_DEFAULT_VALUE`
`static java.lang.String` `DY_DEFAULT_VALUE`
`static java.lang.String` `X_DEFAULT_VALUE`
`static java.lang.String` `Y_DEFAULT_VALUE`

Constructor Summary
`SVGTextPositioningElementSupport()`

Method Summary
`static SVGAnimatedLengthList` `getDx(AbstractElement e)` DOM: Implements `SVGTextPositioningElement.getDx()`.
`static SVGAnimatedLengthList` `getDy(AbstractElement e)` DOM: Implements `SVGTextPositioningElement.getDy()`.
`static SVGAnimatedLengthList` `getX(AbstractElement e)` DOM: Implements `SVGTextPositioningElement.getX()`.
`static SVGAnimatedLengthList` `getY(AbstractElement e)` DOM: Implements `SVGTextPositioningElement.getY()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_DEFAULT_VALUE

    public static final java.lang.String X_DEFAULT_VALUE

See Also:
  Constant Field Values

### Y_DEFAULT_VALUE

    public static final java.lang.String Y_DEFAULT_VALUE

See Also:
  Constant Field Values

### DX_DEFAULT_VALUE

    public static final java.lang.String DX_DEFAULT_VALUE

See Also:
  Constant Field Values

### DY_DEFAULT_VALUE

    public static final java.lang.String DY_DEFAULT_VALUE

See Also:
  Constant Field Values

Constructor Detail

### SVGTextPositioningElementSupport

    public SVGTextPositioningElementSupport()

Method Detail

### getX

    public static SVGAnimatedLengthList getX(AbstractElement e)

  DOM: Implements `SVGTextPositioningElement.getX()`.

### getY

    public static SVGAnimatedLengthList getY(AbstractElement e)

  DOM: Implements `SVGTextPositioningElement.getY()`.

### getDx

    public static SVGAnimatedLengthList getDx(AbstractElement e)

  DOM: Implements `SVGTextPositioningElement.getDx()`.

### getDy

    public static SVGAnimatedLengthList getDy(AbstractElement e)

  DOM: Implements `SVGTextPositioningElement.getDy()`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.